Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.reloading
Class InvariantReloadingStrategy

    java.lang.Object
      org.apache.commons.configuration.reloading.InvariantReloadingStrategy

All Implemented Interfaces:
  ReloadingStrategy

    public class InvariantReloadingStrategy

extends Object
implements ReloadingStrategy

A strategy that never triggers a reloading.

Since:
  1.1
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02. Sep 2006) $
Author:
  Emmanuel Bourg

Constructor Summary
`InvariantReloadingStrategy()`

Method Summary
`void` | `init()` Initialize the strategy.
`void` | `reloadingPerformed()` Notify the strategy that the file has been reloaded.
`boolean` | `reloadingRequired()` Tell if the evaluation of the strategy requires to reload the configuration.
`void` | `setConfiguration(FileConfiguration configuration)` Set the configuration managed by this strategy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvariantReloadingStrategy

    public InvariantReloadingStrategy()

Method Detail

### setConfiguration

    public void setConfiguration(FileConfiguration configuration)

  Description copied from interface: `ReloadingStrategy`
  Set the configuration managed by this strategy.

  Specified by:
    `setConfiguration` in interface `ReloadingStrategy`
  Parameters:
    `configuration` - the configuration to monitor

### init

    public void init()

  Description copied from interface: `ReloadingStrategy`
  Initialize the strategy.

  Specified by:
    `init` in interface `ReloadingStrategy`

### reloadingRequired

    public boolean reloadingRequired()

  Description copied from interface: `ReloadingStrategy`
  Tell if the evaluation of the strategy requires to reload the configuration.

  Specified by:
    `reloadingRequired` in interface `ReloadingStrategy`
  Returns:
    a flag whether a reload should be performed

### reloadingPerformed

    public void reloadingPerformed()

  Description copied from interface: `ReloadingStrategy`
  Notify the strategy that the file has been reloaded.

  Specified by:
    `reloadingPerformed` in interface `ReloadingStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.